﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PersonalFinance
{
    //just for prime testing
    class Program
    {
        static void Main(string[] args)
        {
            Database.SetInitializer<EntityContext>(new EntityContextInit());
            EntityContext ctx = new EntityContext();
            Console.Title = "Výpis databáze";
            Console.ForegroundColor = ConsoleColor.Cyan;
            Console.WriteLine("===PAYMENTS===");
            Console.ForegroundColor = ConsoleColor.White;
            foreach (var payment in ctx.Payments)
            {
                Console.WriteLine(payment);
            }
            Console.ForegroundColor = ConsoleColor.Yellow;
            Console.WriteLine("\n===USERS===");
            Console.ForegroundColor = ConsoleColor.White;
            foreach (var user in ctx.Users)
            {
                Console.WriteLine(user);
            }
            Console.ForegroundColor = ConsoleColor.Magenta;
            Console.WriteLine("\n===SCHEDULED ITEMS===");
            Console.ForegroundColor = ConsoleColor.White;
            foreach (var sched in ctx.ScheduledItems)
            {
                Console.WriteLine(sched);
            }
            Console.ReadLine();
        }
    }
}
